﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating New Scan Rule</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Creating New Scan Rule</h1>
        <p>You can create new scan rule from <strong>Analytics</strong> tab. Based on the specific sensitive information you want to scan such as SSN number, Driving license number, Credit card number, and so on, you can create different types of scan rules.</p>
        <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
            <p class="note">Once Scan Rules is created and saved in IGA, you can add the <strong>proximity for scan rules</strong> by modifying the respective scan rule.</p>
        </div>
        <p>To create new scan rule perform the following steps:</p>
        <ol>
            <li>
                <p>&#160;</p>
            </li>
        </ol>
        <ol>
            <li>Go to <strong>Analytics &gt; Scan Rules </strong>page, the page displays all the existing scan rules previously created and stored.</li>
            <li>&#160;</li>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>On the top right of the home page, click the <strong>Applications</strong> icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li>
                <p>In the left pane, under <strong>Admin Functions</strong>, click <strong>Application Restart</strong>.</p>
                <p>The <strong>Service Restart</strong> page is displayed.</p>
            </li>
            <li>Click <strong>Action</strong> drop down and select <strong>Create New Scan Rule</strong>.</li>
            <li>Provide the information in the respective fields and click <strong>Create</strong>.</li>
        </ol>
        <p>To provide the parameter details, refer the below table for more information:</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 19.1492%;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 80.7247%;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Rule Name<span style="color: rgb(255,0,0);">*</span></p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Enter a rule name for the new scan rule being created.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Category</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Used to define a category of the scan rule being created. Based on the scan rule which you are defining, you can specify the category such as PCI, PII or any other custom category.</p>
                        <p class="table-text">There are industry standard Data Access Governance (DAG) related standards such as Payment Credit Information (PCI) standard, which is related with the online credit card payment security standards. Personal Identifiable Information (PII) is used to confidentially store securely an individuals identity information such as Social Security Number (SSN), Driving License details, and personal Biometric details.&#160; &#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Regex<span style="color: rgb(255,0,0);">*</span></p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Enter a regular expression to be used while scanning for information on the documents, records or details of end user or an organization.&#160;Scan rule will match the regex pattern with the content of the document.&#160;</p>
                        <p class="table-text">For example,&#160;Regex for CO Driving license:&#160;<label class="param-value">\b([0-9]{9})|([A-Z]{1}[0-9]{3,6})|([A-Z]{2}[0-9]{2,5})\b</label></p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">White List Query (Multiple queries can be separated by ;)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">One or more queries that return file to be white-listed. This parameter is used when a file which meets certain conditions should not be scanned.</p>
                        <p class="table-text">Below is a sample white-list query.&#160;</p>
                        <MadCap:codeSnippet>
                            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct ev.entitlement_value
 from entitlement_values ev, entitlement_types et, accounts ad, securitysystems ss, externalconnection exc, externalconnectiontype exct, 
 user_accounts ua, accounts box, users usr, account_entitlements1 ae
 where ev.entitlementtypekey = et.entitlementtypekey
   AND et.systemkey = ss.systemkey
         AND ss.externalconnection = exc.externalconnectionkey
         AND exc.externalconnectionType = exct.externalconnectiontypekey
         AND exct.connectiontype = 'BOX'
         AND ae.entitlement_valuekey = ev.entitlement_valuekey
         AND ae.accountkey = box.accountkey
         AND box.accounttype = 'user'
         AND box.accountkey = ua.accountkey
         AND ua.userkey = usr.userkey
         AND usr.DEPARTMENTNAME = 'HR'
         AND ev.ENTITLEMENT_VALUE='${entitlementValue}' ;</MadCap:codeSnippetBody>
                        </MadCap:codeSnippet>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Status</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">Select a status of the scan rule, available options are:</p>
                        <ul>
                            <li>
                                <p class="table-text">Active - The scan rule is made active and can be used for scanning the information on a database.</p>
                            </li>
                            <li>
                                <p class="table-text">Inactive - The scan rule is currently inactive and undergoing an update, will not be available&#160;for scanning the information on a database.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>